/**
 * 请求成功状态码
 */
export const SUCCESS_CODE = '200'

/**
 * 请求token过期状态码
 */
export const EXPIRE_CODE = '401'

/**
 * 请求contentType
 */
export const CONTENT_TYPE: AxiosContentType = 'application/json'

/**
 * 请求超时时间
 */
export const REQUEST_TIMEOUT = 60000

/**
 * 不重定向白名单
 */
export const NO_REDIRECT_WHITE_LIST = ['/login']

/**
 * 不重置路由白名单
 */
export const NO_RESET_WHITE_LIST = ['Redirect', 'Login', 'NoFind', 'Root']

/**
 * 表格默认过滤列设置字段
 */
export const DEFAULT_FILTER_COLUMN = ['expand', 'selection']

/**
 * 是否根据headers->content-type自动转换数据格式
 */
export const TRANSFORM_REQUEST_DATA = true

/**
 * 全局图标前缀
 */
export const ICON_PREFIX = 'vi-'

/**
 * 全局需要埋点 常用功能 的路由地址
 */
export const COMMON_APP = [
  // 预警
  '/rule-maintain/version-manage',
  '/guize/ruleMonitoring',
  // 流调
  '/task/center',
  '/task/launch',
  '/report-manage/report-list',
  '/risk-judge/page',
  // 风险
  '/risk-data-audit/data-audit',
  '/risk-data-audit/business-audit',
  '/risk-data-manage/query',
  '/risk-data-manage/manage'
]
